<template>
  <div>
    <h1>myModule Store</h1>
    <p>data: {{ $store.state.myModule.root.data }}</p>
    <p>metadata: {{ $store.state.myModule.root.metadata || 'null' }}</p>
    <h2>Context</h2>
    <p>status: {{ $store.state.myModule.root.context.status }}</p>
    <p>integrity: {{ $store.state.myModule.root.context.integrity }}</p>
    <p>reference: {{ $store.state.myModule.root.context.reference }}</p>
    <hr />
    <button @click="$store.dispatch('myModule/fetchRoot')">
      Traer los datos del backend
    </button>
    <button @click="$store.dispatch('myModule/fetchRoot', { force: true })">
      Traer los datos de manera forzosa
    </button>
  </div>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'

@Component({})
export default class MyComponent extends Vue {}
</script>

<style lang="scss" scoped></style>
